#include "TApplication.h"
#include "TH2.h"
#include "TCanvas.h"
#include "TStyle.h"

using namespace std;


int main(int argc, char** argv) {

  TApplication app("app", &argc, argv);

   gStyle->SetOptStat("oune");
   gStyle->SetCanvasColor(0);
   gStyle->SetCanvasBorderMode(0);
   gStyle->SetHistLineStyle(0);
   gStyle->SetHistLineWidth(2);
   gStyle->SetTitleFillColor(0);
   gStyle->SetTitleOffset(1.25,"x");
   gStyle->SetTitleOffset(1.25,"y");
   gStyle->SetPalette(1,0);
   gStyle->SetPadColor(kBlue);

   double entries;

   TH2D* hist = new TH2D ("hist", "hist", 4, -2., 2., 4, -0., 4.);

   for (int eta = -2; eta<2; eta++) {
      for (int phi = 0; phi < 4; phi++) {
        double x1 = static_cast<double>(eta);
        double y1 = static_cast<double>(phi);

        entries = 50.* y1 + 20.*x1 + 50;

        // comment this out to generate different number of entries in each bin
         entries = 50.;

        hist->Fill(x1,y1,entries);
      }
   }

   TCanvas* c1 = new TCanvas("test1", "test1", 600, 800);
   c1->Divide(1,2);
   c1->cd(1);
   hist->DrawCopy("colz");
   c1->cd(2);
   hist->DrawCopy("lego2");
   c1->Update();

  app.Run();

 return 0;
}
